function do_resize()
{
	var top_banner=dge("top_banner");
	if(!top_banner)return;

	var panel_gap=||panel_gap||;
	var want_h=ClientHeight()-top_banner.offsetHeight - panel_gap*2;
	
	var o=dge("all_columns");

	var main_pane = dge("main_pane").style.height;
	
	var proposed_height = want_h-dge("app_menu").offsetHeight-1 - panel_gap;
	
	dge("folder_panel").style.height=px(proposed_height);
	class_remove(dge("app_menu"),'hidden2');

	if(window.type && window.type=='iframe'){
		dge("iframe").style.height=px(want_h-dge("menubar").offsetHeight-1);
	}

	if(the_page=='edit.htm'){
		var ef=dge("eframe");
		if(ef){
			ef.style.height=px(want_h-dge("menubar").offsetHeight-dge("msg_header").offsetHeight-25);
		}else{
			ef=dge("msg_body");
			ef.style.height=px(want_h-dge("menubar").offsetHeight-dge("msg_header").offsetHeight);
			ef.style.width='100%';			
		}
	}
	
	el=dge("contacts_list");
	if(el) el.style.height=px(want_h-dge("menubar").offsetHeight-1);
}


